relaxngcc.grammar

## Class NameClass

- java.lang.Object
- - relaxngcc.grammar.NameClass

Direct Known Subclasses:
  AnyNameClass, ChoiceNameClass, NsNameClass, SimpleNameClass

    public abstract class NameClass
    extends java.lang.Object

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

### Constructor Summary

Constructors
Constructor and Description
`NameClass()`

### Method Summary

Methods
`abstract java.lang.Object` `apply(NameClassFunction f)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NameClass

    public NameClass()

### Method Detail

#### apply

    public abstract java.lang.Object apply(NameClassFunction f)